/*
Theme Name: Frost Child
Theme URI: https://frostwp.com/
Template: frost
Author: WP Engine
Author URI: https://wpengine.com/
Description: With its clean, minimal design and powerful feature set, Frost enables agencies to build stylish and sophisticated WordPress websites. Frost is a masterpiece of design and functionality. It features a range of valuable patterns, including hero and portfolio sections, prominent call-to-action buttons, and customer testimonials. Whether you’re building a website for your business, personal brand, or creative project, Frost is perfect for anyone looking to launch quickly and efficiently.
Tags: block-patterns,block-styles,custom-colors,custom-logo,custom-menu,editor-style,full-site-editing,one-column,template-editing,threaded-comments,translation-ready,wide-blocks
Version: 1.0.5.1699549380
Updated: 2023-11-09 17:03:00
*/

/*DreamsClinic.hr*/

/*
body {
    animation: fadeInAnimation ease .6s;
    animation-iteration-count: 1;
    animation-fill-mode: forwards;
}
 
@keyframes fadeInAnimation {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
     }
}*/

/* -- Text-wrap: balance; -- */

h1,
h2 {

text-wrap: balance;
}

/* Defaults
---------------------------------------- */

*,
*::before,
*::after {
	box-sizing: border-box;
}

html {
	scroll-behavior: smooth;
}

a,
button,
input,
textarea,
.wp-element-button {
	transition: all 0.2s ease-in-out;
}


a,
a:hover,
a:focus,
a:not(.wp-element-button) {

	text-decoration-thickness: 1px;
	text-underline-offset: 2px;
}

.site-title a {
 
text-decoration: none !important;

}

/* -- Navigation Link -- */

.wp-block-navigation-item.is-style-underline a::after {
	background-color: currentcolor;
	bottom: 0;
	content: '';
	height: 0.5px;
	left: 0;
	position: absolute;
	transition: width 0.5s ease;
	width: 0;
}

.wp-block-navigation-item.is-style-underline a:hover::after {
	width: 100%;
}

/* -- Hamburger menu color on hover -- */
.has-background .wp-block-navigation__responsive-container-open:focus,
.has-background .wp-block-navigation__responsive-container-open:hover {
	color: #0a0a0a !important;
} 


 .wp-element-button, .wp-block-button__link {
    border-radius: 0px !important;
}


/* -- Root -- */




:root :where(a:where(:not(.wp-element-button)):focus) {
    outline-color: currentColor;
    outline-offset: 1px ;
    outline-style: solid;
    outline-width: 1px;
}


:root :where(.wp-element-button:focus, .wp-block-button__link:focus) {
    outline-color:  var(--wp--preset--color--primary);
    outline-offset: 1px;
    outline-style: solid;
    outline-width: 2px;
}




/* Forms
---------------------------------------- */

input,
select,
textarea {
	box-sizing: border-box;
	font-family: inherit;
	font-size: inherit;
	font-weight: inherit;
	line-height: var(--wp--custom--line-height--medium);
	width: 100% !important;

}

input:not([type="submit"]):focus,
textarea:focus {
	border-color: var(--wp--preset--color--primary) !important;
	outline: 1px solid var(--wp--preset--color--primary) !important;
	background: #fff !important;
	font-size: 20px; 
}

input[type="checkbox"],
input[type="image"],
input[type="radio"] {
	width: auto;
}

::placeholder {
	color: inherit;
	opacity: 0.5;
	font-size: 18px;
}


 /* Poruka je uspješno poslana u zeleno
 
------------------------*/

.nf-response-msg {
	color: green;
	border: 2px solid green;
	padding: 10px 20px;

}

.nf-response-msg p {

	margin-top: 0 !important;
	margin-bottom: 0 !important;
}


 /* wp-block-list no-padding-left
 
------------------------*/

.wp-block-list {
	
    padding-left: 20px !important;   
}



 /* Ninja Forms
------------------------*/

.nf-field-container {
	
	margin-bottom: 18px !important;
 }



 /* Link Footer
-----------------------------------------*/
.link-footer {
 

}

.link-footer a
 {
 
text-decoration: none !important;
}

.link-footer a:hover
 {
color: var(--wp--preset--color--contrast) !important;

}



  /* Pages - shadow-box
-----------------------------------------*/

.is-style-shadow-light {
    box-shadow: 0 0 10px rgb(10,10,10,0.1);
}

.is-style-shadow-faint {
	box-shadow:  0 2px 4px rgb(10, 10, 10, 0.1);
}




 /* Media Queries
---------------------------------------------------------------------------- */

@media only screen and (min-width: 600px) {
	
	/* -- Header -- */

	.js-enabled .site-header {
        position: sticky;
        top: 0;
        transition: top 0.5s;
        z-index: 100;    
}

}


@media only screen and (max-width: 600px) {

	/* Utility
	--------------------------------------------- */

	.is-style-hidden-mobile {
		display: none !important;
	}
	

	 
}

@media only screen and (max-width: 782px) {

	/* Columns
	--------------------------------------------- */

	.is-style-columns-reverse {
		flex-direction: column-reverse;
	}
	
}



